(* 
 * Copyright (c) 2001 The University of Wroclaw.
 * All rights reserved. See file COPYRIGHT for details about licensing.
 *
 * $Id: gontcodegen.mli,v 1.8 2001/11/27 03:51:56 malekith Exp $
 *
 * Module interface: Gontcodegen
 * Description:
 *)

open Gontutil

type ctx

val init_codegen : (* module *) string -> (* file *) string -> ctx
val ksi_code : ctx -> decl -> ctx * (Ksi.decl list)
val ksi_runtime_proto : ctx -> Ksi.decl list
val check_module : ctx -> unit
;;
